import {createBrowserRouter, RouterProvider} from "react-router-dom";
import Root from "@/common/layouts/Root";
import routes from "@/common/routes";
import footerRoutes from "@/common/routes/footer.jsx";
import NotFound from "@/pages/NotFound";

const router = createBrowserRouter([
    {
        path: "/",
        element: <Root/>,
        children: [...routes, ...footerRoutes],
        errorElement: <NotFound />
    }
]);

const App = () => <RouterProvider router={router}/>;
export default App;