import {Stack} from "@mui/material";
import Plan from "@/pages/Pricing/components/Plan";

const personalFeatures = {
    "Lizenzen": 100,
    "Mitglied": 1,
    "Gruppen": 3,
    "Zugriffsschlüssel": 1,
    "Metadaten": 3,
    "Berechtigungen": 10,
    "Offline-Aktivierung": false,
    "Authentifizierung": false
}

const plusFeatures = {
    "Lizenzen": 5000,
    "Mitglieder": 10,
    "Gruppen": 15,
    "Zugriffsschlüssel": 10,
    "Metadaten": 10,
    "Berechtigungen": 50,
    "Offline-Aktivierung": true,
    "Authentifizierung": false
}

const proFeatures = {
    "Lizenzen": 50000,
    "Mitglieder": 20,
    "Gruppen": 40,
    "Zugriffsschlüssel": 20,
    "Metadaten": 20,
    "Berechtigungen": 100,
    "Offline-Aktivierung": true,
    "Authentifizierung": true
}

const enterpriseFeatures = {
    "Lizenzen": "∞",
    "Mitglieder": "∞",
    "Gruppen": "∞",
    "Zugriffsschlüssel": "∞",
    "Metadaten": "∞",
    "Berechtigungen": "∞",
    "Offline-Aktivierung": true,
    "Authentifizierung": true
}


export const Pricing = () => {
    return (
        <Stack direction="row" gap={3} alignItems="center" justifyContent="center" flexWrap="wrap"
                sx={{mt: 10, mb: 2}}>

            <Plan name="Personal" price="Kostenlos" features={personalFeatures}/>
            <Plan name="Plus" price="4,99€/Monat" features={plusFeatures}/>
            <Plan name="Pro" price="9,99€/Monat" features={proFeatures}/>
            <Plan name="Enterprise" price="Auf Anfrage" features={enterpriseFeatures}/>

        </Stack>
)
}